NXP NFC Reader Library v4.040.05.011646

Data Fields
phNfcLib_PeerInfo_t Struct Reference

Peer Information. More...

## Data Fields
uint32_t | dwActivatedType
| Activated type may be ORed value of phNfcLib_ActivatedType_t. More...
uint32_t | dwSelectedType
| Not used in this Beta release. More...
uint16_t | wAtqa
| To be done. More...
uint8_t | bUidLength
| Activated Type A tag UID length is provided. More...
uint8_t | aUid [10]
| Provides UID of activated Type A card. More...
uint8_t | bSak
| To be done. More...
uint8_t | bAtqbLength
| To be done. More...
uint8_t | aPupi [4]
| To be done. More...
uint8_t | aApplicationData [4]
| To be done. More...
uint8_t | bIsExtendedAtqb
| To be done. More...
uint8_t | aProtocolInfo [4]
| To be done. More...
uint8_t * | pUii
| Provides pointer to UII of ISO 18000p3m3 tags detected. More...
uint16_t | wUiiLength
| UII length in bits pointed by pUii. More...
struct {
} | tIso14443_4
| To be done. More...
struct {
} | tIso18092
| To be done. More...

## Detailed Description

Peer Information.

## Field Documentation

## § dwActivatedType

uint32_t phNfcLib_PeerInfo_t::dwActivatedType

Activated type may be ORed value of phNfcLib_ActivatedType_t.

## § dwSelectedType

uint32_t phNfcLib_PeerInfo_t::dwSelectedType

Not used in this Beta release.

User has to choose from 'dwActivatedType' with any one card type phNfcLib_ActivatedType_t he is interested.

## § wAtqa

uint16_t phNfcLib_PeerInfo_t::wAtqa

To be done.

## § bUidLength

uint8_t phNfcLib_PeerInfo_t::bUidLength

Activated Type A tag UID length is provided.

## § aUid

uint8_t phNfcLib_PeerInfo_t::aUid[10]

Provides UID of activated Type A card.

## § bSak

uint8_t phNfcLib_PeerInfo_t::bSak

To be done.

## § bAtqbLength

uint8_t phNfcLib_PeerInfo_t::bAtqbLength

To be done.

## § aPupi

uint8_t phNfcLib_PeerInfo_t::aPupi[4]

To be done.

## § aApplicationData

uint8_t phNfcLib_PeerInfo_t::aApplicationData[4]

To be done.

## § bIsExtendedAtqb

uint8_t phNfcLib_PeerInfo_t::bIsExtendedAtqb

To be done.

## § aProtocolInfo

uint8_t phNfcLib_PeerInfo_t::aProtocolInfo[4]

To be done.

## § pUii

uint8_t* phNfcLib_PeerInfo_t::pUii

Provides pointer to UII of ISO 18000p3m3 tags detected.

## § wUiiLength

uint16_t phNfcLib_PeerInfo_t::wUiiLength

UII length in bits pointed by pUii.

## § tIso14443_4

struct { ... } phNfcLib_PeerInfo_t::tIso14443_4

To be done.

## § tIso18092

struct { ... } phNfcLib_PeerInfo_t::tIso18092

To be done.

The documentation for this struct was generated from the following file:

- phNfcLib.h